Name: py
Version: 1.0.2
Release: alt1.svn20090913
Summary: Testing and distributed programming library
License: MIT
Group: Development/Tools
Url: http://pylib.org/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>
BuildArch: noarch

# https://codespeak.net/svn/py/dist
Source: %name-%version.tar.gz

Requires: python-module-%name = %version-%release

BuildRequires(pre): rpm-build-python
BuildPreReq: python-devel python-module-setuptools

%description
The py lib has several namespaces which help with testing, generating
and distributing code across machines.

%package -n python-module-%name
Summary: Python module of testing and distributed programming library
Group: Development/Python
%setup_python_module %name

%description -n python-module-%name
The py lib has several namespaces which help with testing, generating
and distributing code across machines.

This package contains python module of py lib.

%package doc
Summary: Documentation for testing and distributed programming library
Group: Development/Documentation

%description doc
The py lib has several namespaces which help with testing, generating
and distributing code across machines.

This package contains documentation for py lib.

%prep
%setup

%build
%python_build

%install
%python_install

rm -fR %buildroot%python_sitelibdir/%name/bin/win32 \
	%buildroot%python_sitelibdir/%name/execnet/script/socketserverservice.py*
cp -fR example contrib %buildroot%python_sitelibdir/%name/

install -d %buildroot%_docdir/%name
cp -fR doc/* %buildroot%_docdir/%name/

%files
%doc CHANGELOG LICENSE README.txt
%_bindir/*

%files -n python-module-%name
%python_sitelibdir/*

%files doc
%_docdir/%name

%changelog
* Sun Sep 13 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0.2-alt1.svn20090913
- Initial build for Sisyphus

